Package org.jfree.report.data

# Class StaticExpressionRuntimeData

java.lang.Object
org.jfree.report.data.StaticExpressionRuntimeData

public class StaticExpressionRuntimeData extends Object
This class holds all expression-runtime information, which are known when the expression gets added to the datarow. Once added, they won't change anymore.

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`StaticExpressionRuntimeData()`

## Method Summary

Modifier and Type
Method
Description
`org.pentaho.reporting.libraries.base.config.Configuration`
`getConfiguration()`
`int`
`getCurrentRow()`
`ReportData`
`getData()`
`Object`
`getDeclaringParent()`
`ReportContext`
`getReportContext()`
`ResourceBundleFactory`
`getResourceBundleFactory()`
`void`
`setConfiguration(org.pentaho.reporting.libraries.base.config.Configuration configuration)`
`void`
`setCurrentRow(int currentRow)`
`void`
`setData(ReportData data)`
`void`
`setDeclaringParent(Object declaringParent)`
`void`
`setReportContext(ReportContext reportContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StaticExpressionRuntimeData

public StaticExpressionRuntimeData()

## Method Details

### getCurrentRow

public int getCurrentRow()

### setCurrentRow

public void setCurrentRow(int currentRow)

### getData

public ReportData getData()

### setData

public void setData(ReportData data)

### getResourceBundleFactory

public ResourceBundleFactory getResourceBundleFactory()

### setDeclaringParent

public void setDeclaringParent(Object declaringParent)

### setConfiguration

public void setConfiguration(org.pentaho.reporting.libraries.base.config.Configuration configuration)

### getDeclaringParent

public Object getDeclaringParent()

### getConfiguration

public org.pentaho.reporting.libraries.base.config.Configuration getConfiguration()

### getReportContext

public ReportContext getReportContext()

### setReportContext

public void setReportContext(ReportContext reportContext)